gvm_json_path_elem Struct Reference

Path element types for the JSON pull parser. More...

`#include <jsonpull.h>`

## Data Fields

gvm_json_pull_container_type_t | parent_type
| parent container type
int | index
| Index of the element within the parent.
char * | key
| Key if element is in an object.
int | depth
| Number of ancestor elements.

## Detailed Description

Path element types for the JSON pull parser.

## Field Documentation

## depth

int gvm_json_path_elem::depth

Number of ancestor elements.

## index

int gvm_json_path_elem::index

Index of the element within the parent.

## key

char* gvm_json_path_elem::key

Key if element is in an object.

## parent_type

gvm_json_pull_container_type_t gvm_json_path_elem::parent_type

parent container type

The documentation for this struct was generated from the following file:

- util/jsonpull.h